Subject: Re: bug#16800: 24.3; flyspell works slow on very short words at the end of big file

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Feb 2014 20:36:04 +0200

> Date: Sun, 23 Feb 2014 02:26:00 +0100
> From: Agustin Martin <[email-masked]>
> Cc: Aleksey Cherepanov <[email-masked]>
> 
> Not yet sure if  I am missing something important, but I am playing with a
> regexp search in flyspell-word-search-* functions based on what flyspell
> thinks is the word to spellcheck (`word') and what thinks should not be
> part of a word (`NOTCASECHARS'). Since no OTHERCHARS is used there may be
> some intermediate matches being false positives that will be discarded once
> flyspell-word checks them.
> 
> I have tested this in Alekseys's file and is apparently working well and in
> this particular case with much better efficiency. Need to think about more
> ad-hoc situations where it may fail or slow down things. Suggestions for
> possible failures are welcome.
> 
> Patch is attached. I did the tests against an old and patched version of
> flyspell.el (that shipped with Debian stable) and built the patch for it.
> Should apply and work similarly in trunk's flyspell.el.

Thanks, it's good to know it's possible to speed up the search for
duplicate mis-spellings without sacrificing correctness.

However, for any speedup that we will be able to come up with, there
can always be a buffer large enough to make the delay annoyingly long.
Therefore, I think the default of flyspell-duplicate-distance should
not be -1, but some finite and reasonably small value.  Or maybe we
should turn off this feature by default.